﻿Imports Telerik.WinControls.UI
Imports Telerik.WinControls

Partial Public Class Form1
    Inherits Form

    Private colors As Color() = New Color() {Color.LightBlue, Color.LightGreen, Color.LightYellow, Color.Red, Color.Orange, Color.Pink, _
 Color.Purple, Color.Peru, Color.PowderBlue}

    Private names As String() = New String() {"Alan Smith", "Anne Dodsworth", "Boyan Mastoni", "Richard Duncan", "Maria Shnaider"}

    Public Sub New()
        InitializeComponent()

        For i As Integer = 0 To names.Length - 1
            Dim resource As New Resource()
            resource.Id = New EventId(i)
            resource.Name = names(i)
            resource.Color = colors(i)

            Me.RadScheduler1.Resources.Add(resource)
        Next

        Me.RadScheduler1.SchedulerElement.SetResourceHeaderAngleTransform(SchedulerViewType.Timeline, 0) ' set the text orientation to horizontal
        AddHandler Me.RadScheduler1.CellFormatting, AddressOf RadScheduler1_CellFormatting

        Me.RadScheduler1.GroupType = GroupType.Resource

        Me.RadScheduler1.GetTimelineView().ShowTimescale(Timescales.Hours)
        Me.RadScheduler1.GetTimelineView().GetScaling().DisplayedCellsCount = 10
        Me.RadScheduler1.GetTimelineView().StartDate = DateTime.Today.AddHours(8)

        CType(Me.RadScheduler1.SchedulerElement.ViewElement, TimelineGroupingByResourcesElement).ResourceHeaderWidth = 70 'modify the width of the resource headers
        Me.RadScheduler1.ActiveView.ResourcesPerView = 5

        ThemeResolutionService.LoadPackageResource("WindowsApplication22.Breeze.tssp")
        Me.RadScheduler1.ThemeName = "Breeze"

        For index = 1 To 3
            Dim app As New Appointment(DateTime.Today.AddHours(8 + index), DateTime.Today.AddHours(8 + index + 1), "Appointment " & index)
            app.ResourceId = Me.RadScheduler1.Resources(0).Id
            Me.RadScheduler1.Appointments.Add(app)
        Next

    End Sub

    Private Sub RadScheduler1_CellFormatting(sender As Object, e As SchedulerCellEventArgs)
        If (e.CellElement.Class = "ResourceCell") Then
            e.CellElement.TextWrap = True ' if the cell is a resource header, then enable text wrap
        End If
    End Sub

End Class
